| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - p -

- p : LPC_IOCON_T
- p_aes : ROM_FUNCTION_TABLE
- p_clk : ROM_FUNCTION_TABLE
- p_dev1 : ROM_API_T
- p_dev3 : ROM_API_T
- p_dev4 : ROM_API_T
- p_dev5 : ROM_API_T
- p_ipc : ROM_FUNCTION_TABLE
- p_otp : ROM_FUNCTION_TABLE
- p_pwd : ROM_FUNCTION_TABLE
- p_spifi : ROM_FUNCTION_TABLE
- p_usbd : ROM_FUNCTION_TABLE
- Packet : IP_ENET_002_RXDESC_T , IP_ENET_002_TXDESC_T
- PacketSize : Pipe_Stream_Handle_T
- pActualTransferCount : st_EHCD_QHD , PHCD_EndpointDescriptor
- pad : USBD_DFU_INIT_PARAM_T , USBD_HID_INIT_PARAM_T
- pad0 : USBD_API_INIT_PARAM_T
- pad1 : FIL
- Page : HID_Usage_t
- page_size : lpc_nandflash_size_t
- pages_per_block : lpc_nandflash_size_t
- PageSelect : st_EHCD_ITD , st_EHCD_SITD
- PageSize : K9F1G_ID_T
- PAL : IP_LCD_001_T
- Params : PIMA_Container_t
- Parent : HID_CollectionPath_t
- partID : FLASH_READ_PART_ID_OUTPUT_T
- PBOOST : LPC_SYSCTL_T
- PC : IP_TIMER_001_T
- pCCAND : ROM_API_T
- PCLKSEL : LPC_SYSCTL_T
- PCON : LPC_PMU_T , LPC_SYSCTL_T
- PCONP : LPC_SYSCTL_T
- PCONP1 : LPC_SYSCTL_T
- PD0_SLEEP0_HW_ENA : IP_PMC_001_T
- PD0_SLEEP0_MODE : IP_PMC_001_T
- PDAWAKECFG : LPC_SYSCTL_T
- PDRUNCFG : LPC_SYSCTL_T
- PDSLEEPCFG : LPC_SYSCTL_T
- PDWAKECFG : LPC_SYSCTL_T
- pen : SWIM_WINDOW_T
- PendDataTblEntries : OS_TCB
- PendDataTblPtr : OS_TCB
- PendList : OS_PEND_OBJ , OS_FLAG_GRP , OS_MUTEX , OS_Q , OS_SEM
- PendObjPtr : OS_PEND_DATA
- PendOn : OS_TCB
- PendStatus : OS_TCB
- per_clk : CCUCLK_INFO_T
- Period : OS_TMR
- PeriodCurrentED : IP_USB_001_T
- PERIODICLISTBASE : IP_USBHS_001_T
- PeriodicStart : IP_USB_001_T
- pextension : fs_file
- Physical : HID_ReportItem_Attributes_t
- pI2CD : ROM_API_T
- PIDCode : PHCD_QTD
- PIN : IP_GPIO_001_T , IP_GPIO_002_T
- pin : PINMUX_GRP_T , SPI_Address_t
- PINASSIGN : LPC_SWM_T
- pincfg : PINMUX_GRP_T
- PINENABLE0 : LPC_SWM_T
- pingrp : PINMUX_GRP_T
- PingState_Err : PHCD_QTD
- pinnum : PINMUX_GRP_T
- PINTSEL : LPC_SYSCTL_T
- PINTSEL0 : LPC_SCU_T
- PINTSEL1 : LPC_SCU_T
- PIO0_0 : LPC_IOCON_T
- PIO0_1 : LPC_IOCON_T
- PIO0_10 : LPC_IOCON_T
- PIO0_11 : LPC_IOCON_T
- PIO0_12 : LPC_IOCON_T
- PIO0_13 : LPC_IOCON_T
- PIO0_14 : LPC_IOCON_T
- PIO0_15 : LPC_IOCON_T
- PIO0_16 : LPC_IOCON_T
- PIO0_17 : LPC_IOCON_T
- PIO0_2 : LPC_IOCON_T
- PIO0_3 : LPC_IOCON_T
- PIO0_4 : LPC_IOCON_T
- PIO0_5 : LPC_IOCON_T
- PIO0_6 : LPC_IOCON_T
- PIO0_7 : LPC_IOCON_T
- PIO0_8 : LPC_IOCON_T
- PIO0_9 : LPC_IOCON_T
- PIOPORCAP : LPC_SYSCTL_T
- PIOPORCAP0 : LPC_SYSCTL_T
- PipeHandle : USB_Pipe_Data_t
- PlaneNum : K9F1G_ID_T
- PlaneSize : K9F1G_ID_T
- PLDMND : IP_SDMMC_001_T
- PLL : LPC_SYSCTL_T , LPC_CGU_T
- PLL0AUDIO_FRAC : LPC_CGU_T
- PLL1_CTRL : LPC_CGU_T
- PLL1_STAT : LPC_CGU_T
- PLL_CTRL : CGU_PLL_REG_T
- PLL_MDIV : CGU_PLL_REG_T
- PLL_NP_DIV : CGU_PLL_REG_T
- PLL_STAT : CGU_PLL_REG_T
- PLLCFG : SYSCTL_PLL_REGS_T
- PLLCON : SYSCTL_PLL_REGS_T
- PLLFEED : SYSCTL_PLL_REGS_T
- PLLSTAT : SYSCTL_PLL_REGS_T
- PM : LPC_CCU1_T , LPC_CCU2_T
- PMCFG : LPC_PIN_INT_T
- PMCTRL : LPC_PIN_INT_T
- PMSRC : LPC_PIN_INT_T
- pnetif : lpc_enetdata_t
- POL : IP_LCD_001_T
- PoolAddrEnd : MEM_POOL
- PoolAddrStart : MEM_POOL
- PoolNextPtr : MEM_POOL
- PoolPrevPtr : MEM_POOL
- PoolPtrs : MEM_POOL
- PoolSize : MEM_POOL
- port : PINMUX_GRP_T , SPI_Address_t
- PORT_ENA : IP_GPIOGROUPINT_001_T
- PORT_POL : IP_GPIOGROUPINT_001_T
- PortNumber : Pipe_Handle_T , USB_ClassInfo_CDC_Device_t , USB_ClassInfo_RNDIS_Device_t , USB_ClassInfo_MS_Device_t , USB_ClassInfo_CDC_Host_t , USB_ClassInfo_PRNT_Host_t , USB_ClassInfo_RNDIS_Host_t , USB_ClassInfo_SI_Host_t , st_EHCD_SITD , USB_ClassInfo_HID_Host_t , st_EHCD_QHD , USB_ClassInfo_Audio_Device_t , USB_ClassInfo_MS_Host_t , USB_ClassInfo_MIDI_Host_t , USB_ClassInfo_Audio_Host_t , USB_ClassInfo_HID_Device_t , USB_ClassInfo_MIDI_Device_t
- PORTSC1_D : IP_USBHS_001_T
- PORTSC1_H : IP_USBHS_001_T
- POS : IP_QEI_001_T , IP_SGPIO_001_T
- PostDelay : IP_SPI_DELAY_CONFIG_T
- POWER : IP_SDC_001_T
- powerdn : CLK_BASE_STATES
- POWERDOWN : IP_ENET_002_MODULE_CTRL_T
- pParams : FLASH_COMMAND_T
- PPL : LCD_Config_T
- pprogalgos : DFUPROG_REGION_T
- PPSCTRL : IP_ENET_001_T
- pPWRD : ROM_API_T
- PR : IP_TIMER_001_T
- prdesc : lpc_enetdata
- PreDelay : IP_SPI_DELAY_CONFIG_T
- pregions : DFUPROG_REGION_T
- PresentCount : DMADescriptor
- PRESET : IP_SGPIO_001_T , IP_ATIMER_001_T
- PRESETCTRL : LPC_SYSCTL_T
- pResult : FLASH_OUTPUT_T
- PreviousValue : HID_ReportItem_t
- PrevPtr : OS_TMR , OS_TCB , OS_PEND_DATA
- PrevReportINBuffer : USB_ClassInfo_HID_Device_t
- PrevReportINBufferSize : USB_ClassInfo_HID_Device_t
- Prio : OS_TCB
- PRODUCEINDEX : IP_ENET_002_TRANSFER_INFO_T
- PROGRAM : LPC_OTP_T
- progStatus : DFU_TOHOST_PACKETHDR_T
- pRx : CHIP_SPI_DATA_SETUP_T
- prxd : lpc_enetdata_t
- pRxData : CHIP_SPI_DATA_SETUP_T
- prxs : lpc_enetdata_t
- ptdesc : lpc_enetdata
- pTx : CHIP_SPI_DATA_SETUP_T
- ptxd : lpc_enetdata_t
- pTxData : CHIP_SPI_DATA_SETUP_T
- ptxs : lpc_enetdata_t
- pUARTD : ROM_API_T
- PWRDWN : IP_EEPROM_001_T , IP_EEPROM_002_T
- PWREN : IP_SDMMC_001_T